Subject: Point to point destination address question

From: Gail Browne <[email-masked]>
Date: Tue, 6 May 2003 15:00:38 -0600

Hi,

Just a quick question, RFC2328 contradicts itself in describing destination addresses for OSPF pdu's on P2p networks, in section 8.1 reads
"The IP destination address for the packet is selected as
        follows.  On physical point-to-point networks, the IP
        destination is always set to the address AllSPFRouters.  "
but later in the sections on LSAcks and LSUpdates, it states that direct acks and retransmitted updates are always sent directly to the neighbor (unicast).  My question is, which is correct, are they always multicast, or unicast for directs acks and retransmits, or is multicast directly to the neighbor anyway because a p2p network implies only 1 neighbor?

Thanks,
Gail

---

From: Yongjun Im <[email-masked]>
Date: Wed, 7 May 2003 10:43:02 +0900

I remember we faced some interoperability problem since 
one box was sending LSUpdate (NOT retransmit) with a unicast address
on a ptp interface, while its neighbor was expecting LSUpdate with a multicast address.
Hence they couldn't exchange LSUpdates even though they made adjacencies
using HELLO(multicast). I believe the specification on a unicast or multicast address on the
ptp interface should be clarified by using expression such as MUST, SHOULD or something.

---

From: j j <[email-masked]>
Date: Wed, 7 May 2003 08:48:30 -0700

An OSPF implementation shouldn't be written to
have these checks (multicast or unicast). This is
done at lower layers (ip and below in case of
multicast). As long as the pkt is "destined to us",
ip layer will accept it and pass it to the right
application.

my 2 cents.

--- Yongjun Im <[email-masked]> wrote:
> ptp interface should be clarified by using
> expression such as MUST, SHOULD or something.
>
> > Just a quick question, RFC2328 contradicts itself
> in describing destination addresses for OSPF pdu's
> on P2p networks, in section 8.1 reads
> > but later in the sections on LSAcks and LSUpdates,
> it states that direct acks and retransmitted updates
> are always sent directly to the neighbor (unicast).
> My question is, which is correct, are they always
> multicast, or unicast for directs acks and
> retransmits, or is multicast directly to the
> neighbor anyway because a p2p network implies only 1
> neighbor?
> >
> > Thanks,
> > Gail
> >
> >

__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com

---

From: Acee Lindem <[email-masked]>
Date: Sun, 11 May 2003 16:14:32 -0400

Gail,

See below.

>         destination is always set to the address AllSPFRouters.  "

This is exactly what should be done.

> but later in the sections on LSAcks and LSUpdates, it states that direct acks and retransmitted updates are always sent
 > directly to the neighbor (unicast).  My question is, which is correct, are they always multicast, or unicast for directs
 > acks and retransmits, or is multicast directly to the neighbor anyway because a p2p network implies only 1 neighbor?

It does not say this. It says:

             " On non-broadcast networks, separate Link State Update
               packets must be sent, as unicasts, to each adjacent neighbor
               (i.e., those in state Exchange or greater).  The destination
               IP addresses for these packets are the neighbors' IP
               addresses."

Non-broadcast networks include NBMA and P2MP networks - not P2P. Refer
to the defintions in section 1.2.

> Gail
P.S. In the future, please put \nl characters in your posts to this
list.

Thanks,
Acee

--
Acee